.element-04 [id^="check-availability_"] .wpt-row {
  margin-left: -5px;
  margin-right: -5px;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  .wpt-row {
  margin: 0px;
  width: 100%;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_category_types_"],
.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_category_icons_"],
.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_arrival_"],
.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_departure_"],
.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_guests_"],
.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_coupon_code_"],
.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_button_"] {
  margin: 5px;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_category_icons_"] {
  max-width: 220px;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_category_types_"] {
  /*Location Dropdown*/
  flex-grow: 1;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_category_icons_"] {
  /*Icons*/
  flex-grow: 1;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_arrival_"] {
  /*Arrival*/
  flex-grow: 1;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_departure_"] {
  /*Departure*/
  flex-grow: 1;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_guests_"] {
  /*Guests*/
  min-width: 100px;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_coupon_code_"] {
  /*Coupon Code*/
  flex-grow: 1;
}

.element-04
  [id^="check-availability_"].newbook_check_availability_widget_upgraded
  [id^="check_availability_button_"] {
  /*Button*/
  min-width: 120px;
  max-width: 140px;
}

@media (max-width: 1199px) {
  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_guests_"] {
    /*Guests*/
    min-width: 0;
    flex-grow: 1;
  }

  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_button_"] {
    min-width: 0;
    flex-grow: 1;
  }
}

@media (max-width: 991px) {
  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_arrival_"],
  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_departure_"],
  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_coupon_code_"],
  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_button_"],
  .element-04
    [id^="check-availability_"].newbook_check_availability_widget_upgraded
    [id^="check_availability_guests_"] {
    width: 100%;
    max-width: 100%;
  }
}

@media (max-width: 600px) {
  .element-04 [id^="check-availability_"] .wpt-container {
    width: unset;
  }
}

.element-04 [id^="check-availability_"] .col-12,
.element-04 [id^="check-availability_"] .col-11,
.element-04 [id^="check-availability_"] .col-10,
.element-04 [id^="check-availability_"] .col-9,
.element-04 [id^="check-availability_"] .col-8,
.element-04 [id^="check-availability_"] .col-7,
.element-04 [id^="check-availability_"] .col-6,
.element-04 [id^="check-availability_"] .col-5,
.element-04 [id^="check-availability_"] .col-4,
.element-04 [id^="check-availability_"] .col-3,
.element-04 [id^="check-availability_"] .col-2,
.element-04 [id^="check-availability_"] .col-1 {
  padding-left: 5px;
  padding-right: 5px;
}

.element-04 [id^="check-availability_"] -block {
  padding: 15px 15px 10px;
}

.element-04 [id^="check-availability_"] -block.no-labels {
  padding: 20px 15px 5px;
}

.element-04.version-1 [id^="check-availability_"] input,
.element-04.version-1 [id^="check-availability_"] select {
  -webkit-appearance: none;
  width: 100%;
  padding: 12px 10px;
  border: 1px solid #cccccc;
  color: #455560;
  box-sizing: border-box;
}

.element-04.version-2 [id^="check-availability_"] input,
.element-04.version-2 [id^="check-availability_"] select,
.element-04.version-2 [id^="check-availability_"] #search-dates-formatted {
  -webkit-appearance: none;
  width: 100%;
  background: none;
  padding: 12px 20px 12px 20px !important;
}

.element-04.version-2 [id^="check-availability_"] select {
  padding: 12px 40px 12px 20px !important;
}

.element-04.version-1 [id^="check-availability_"] input,
.element-04.version-1 [id^="check-availability_"] select {
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}

.element-04.version-2 [id^="check-availability_"] .daterangepicker-field {
  background: white;
}

.element-04.rounded-corners-true.version-2
  [id^="check-availability_"]
  .daterangepicker-field {
  -webkit-border-radius: 104px;
  -moz-border-radius: 104px;
  border-radius: 104px;
}

.element-04.rounded-corners-standard.version-2
  [id^="check-availability_"]
  .daterangepicker-field {
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
}

.element-04 [id^="check-availability_"] input,
.element-04 [id^="check-availability_"] select {
  padding: 12px 15px;
}

.element-04 [id^="check-availability_"] input[type="checkbox"] {
  width: 0;
}

.element-04 [id^="check-availability_"] input[type="submit"] {
  -webkit-appearance: button;
  border-color: #aaa;
  color: #333;
  cursor: pointer;
  padding: 9px 15px;
}

.element-04 [id^="check-availability_"] .daterangepicker-field,
.element-04 [id^="check-availability_"] .text-field,
.element-04 [id^="check-availability_"] .select-field,
.element-04 [id^="check-availability_"] .form-submit {
  position: relative;
}

.element-04.version-2
  [id^="check-availability_"]
  .wpt-row
  .wpt-row
  > div
  > div {
  flex-grow: 1;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

[id^="check_availability_button_"] {
  display: flex;
}

.element-04.version-2 [id^="check-availability_"] .btn-group-toggle {
  align-items: unset !important;
}

.element-04 [id^="check-availability_"] .daterangepicker-field::after,
.element-04 [id^="check-availability_"] .text-field::after,
.element-04 [id^="check-availability_"] .select-field::after,
.element-04.version-2
  [id^="check-availability_"]
  [aria-label="Categories"]::after {
  font-family: "Font Awesome 6 Pro";
  font-weight: 800;
  font-size: 1em;
  line-height: 1em;
  position: absolute;
  bottom: unset;
  left: unset;
  top: 50%;
  transform: translateY(-50%);
  right: 10px;
  width: unset;
  height: unset;
}

.element-04.version-1
  [id^="check-availability_"]
  .daterangepicker-field::after {
  content: "\f073";
}

.element-04 [id^="check-availability_"] .btn-group,
.element-04 [id^="check-availability_"] [id*="guestsDropdown"],
.element-04 [id^="check-availability_"] #search-dates-formatted,
.element-04 [id^="check-availability_"] .text-field.promo-code-field input {
  width: 100%;
  padding: 12px 15px;
  background: #ffffff;
  box-sizing: border-box;
  text-align: left;
  font-size: 0.875em;
  height: auto;
  overflow: hidden;
  min-width: 170px;
}

.element-04.version-2
  [id^="check-availability_"]
  [id*="guestsDropdown"]
  > span {
  line-height: 1.4;
}

.element-04.version-2
  [id^="check-availability_"]
  [aria-label="Categories"].btn-group-toggle {
  border: 2px solid white;
  min-height: 47px;
}

.element-04.version-1 [id^="check-availability_"] .dropdown,
.element-04.version-1 [id^="check-availability_"] .btn-group,
.element-04.version-1 [id^="check-availability_"] [id*="guestsDropdown"],
.element-04.version-1 [id^="check-availability_"] #search-dates-formatted {
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  border: 1px solid #cccccc;
}

.element-04.rounded-corners-true.version-2
  [id^="check-availability_"]
  .btn-group,
.element-04.rounded-corners-true.version-2
  [id^="check-availability_"]
  [id*="guestsDropdown"],
.element-04.rounded-corners-true.version-2
  [id^="check-availability_"]
  .text-field.promo-code-field
  input {
  -webkit-border-radius: 104px;
  -moz-border-radius: 104px;
  border-radius: 104px;
}

.element-04.rounded-corners-standard.version-2
  [id^="check-availability_"]
  .btn-group,
.element-04.rounded-corners-standard.version-2
  [id^="check-availability_"]
  [id*="guestsDropdown"],
.element-04.rounded-corners-standard.version-2
  [id^="check-availability_"]
  .text-field.promo-code-field
  input {
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
}

.element-04.version-2 [id^="check-availability_"] [id*="guestsDropdown"] {
  display: flex;
  justify-content: space-between;
  align-items: Center;
}

.element-04.version-2 [id^="check-availability_"] [id*="guestsDropdown"] {
  padding-left: 20px !important;
  padding-right: 20px !important;
}

.element-04.rounded-corners-false.version-2
  [id^="check-availability_"]
  [id*="guestsDropdown"] {
  padding-right: 20px;
  padding-left: 20px;
}

.element-04 [id^="check-availability_"] .btn-group {
  padding: 0;
}

.element-04 [id^="check-availability_"] .btn-group .btn {
  padding: 5px 15px;
  width: 100%;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.element-04 [id^="check-availability_"] .btn-group .btn img,
.element-04 [id^="check-availability_"] .btn-group .btn svg {
  width: 100%;
  height: 100%;
  max-height: 24px;
  vertical-align: middle;
}

.element-04 [id^="check-availability_"] .btn-group .btn.active {
  color: #ffffff;
  border-radius: 0;
}

.element-04.version-2 [id^="check-availability_"] .btn-group .btn svg {
  fill: var(--wpt-primary-colour);
}

.element-04 [id^="check-availability_"] .btn-group .btn.active svg {
  fill: #ffffff !important;
}

.element-04 [id^="check-availability_"] .btn-group .btn.focus {
  box-shadow: 0 0 0 transparent;
}

.element-04.version-2 [id^="check-availability_"] [class*="dropdown_"] {
  position: relative;
}

.element-04 [id^="check-availability_"] .dropdown-toggle::after,
.element-04.version-2
  [id^="check-availability_"]
  [aria-label="Categories"]::after {
  right: 15px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: unset;
  bottom: unset;
  width: unset;
  height: unset;
  z-index: 1;
}

.element-04.version-2
  [id^="check-availability_"]
  [aria-label="Categories"]::after {
  font-size: 1.2em !important;
  pointer-events: none;
}

.element-04 [id^="check-availability_"] [class*="dropdown-menu"].show {
  padding: 15px;
  min-width: 260px;
}

.element-04 [id^="check-availability_"] [class*="dropdown-menu"] .input-group {
  margin-bottom: 10px;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group:last-child {
  margin-bottom: 0;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .btn {
  width: 40px;
  height: 40px;
  line-height: 40px;
  padding: 0;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  color: #ffffff;
  box-sizing: border-box;
  text-align: center;
  font-size: 0.875em;
}

.element-04.rounded-corners-standard
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .btn {
  border-radius: 6px;
}

.element-04.rounded-corners-false
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .btn {
  border-radius: 0;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .input-group-text {
  background: none;
  border: 0;
  line-height: 40px;
  font-size: 0.875em;
  padding-top: 0;
  padding-bottom: 0;
  padding-left: 0;
  min-width: 85px;
  box-sizing: border-box;
  flex-wrap: wrap;
  max-width: 85px;
  text-align: left;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .input-group-text
  > span {
  display: block;
  flex-basis: 100%;
  line-height: 1em;
}

.element-04 [id^="check-availability_"] .tinyLabel {
  font-size: 0.75em;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .form-control {
  border: 0;
  height: 40px;
  text-align: center;
  line-height: 40px;
  font-size: 1.2em;
  max-width: 65px;
  font-family: var(--wpt-primary-font);
}

.element-04 [id^="check-availability_"] [class*="dropdown-menu"] #guests_apply {
  font-size: 0.875em;
  border: 0;
  float: right;
}

.element-04.version-2.rounded-corners-true
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  #guests_apply {
  -webkit-border-radius: 5em;
  -moz-border-radius: 5em;
  border-radius: 5em;
}

.element-04.version-2.rounded-corners-standard
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  #guests_apply {
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
}

.element-04 [id^="check-availability_"] .bootstrap-datetimepicker-widget {
  padding: 15px;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .table-condensed
  td {
  width: 30px;
  height: 30px;
  line-height: 30px;
  border-spacing: 0;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  th {
  width: 30px;
  height: 30px;
  line-height: 30px;
  padding: 0;
  border-bottom: 1px solid #dddddd;
  border-spacing: 0;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td
  span,
.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td,
.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  th {
  -webkit-border-radius: 5em;
  -moz-border-radius: 5em;
  border-radius: 5em;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .prev
  span,
.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .next
  span {
  width: 100%;
  height: 100%;
  display: block;
  position: relative;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .prev
  span:after,
.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .next
  span:after {
  font-family: "Font Awesome 6 Pro";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .prev
  span:after {
  content: "\f053";
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  .next
  span:after {
  content: "\f054";
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td.disabled,
.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td.disabled:hover {
  color: #cccccc;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .btn-group-toggle
  .btn.active
  svg {
  fill: #ffffff;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td.hover {
  background: rgba(0, 0, 0, 0.2);
  -webkit-border-radius: 0 !important;
  -moz-border-radius: 0 !important;
  border-radius: 0 !important;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td.arrival.hover {
  -webkit-border-radius: 0 !important;
  -moz-border-radius: 0 !important;
  border-radius: 0 !important;
  -webkit-border-top-left-radius: 50% !important;
  -webkit-border-bottom-left-radius: 50% !important;
  -moz-border-radius-topleft: 50% !important;
  -moz-border-radius-bottomleft: 50% !important;
  border-top-left-radius: 50% !important;
  border-bottom-left-radius: 50% !important;
}

.element-04
  [id^="check-availability_"]
  .bootstrap-datetimepicker-widget
  table
  td.departure {
  -webkit-border-radius: 0 !important;
  -moz-border-radius: 0 !important;
  border-radius: 0 !important;
  -webkit-border-top-right-radius: 50% !important;
  -webkit-border-bottom-right-radius: 50% !important;
  -moz-border-radius-topright: 50% !important;
  -moz-border-radius-bottomright: 50% !important;
  border-top-right-radius: 50% !important;
  border-bottom-right-radius: 50% !important;
}

.element-04 [id^="check-availability_"] input[type="submit"],
.newbook_search_submit_bg {
  color: #fff;
  transition-duration: 300ms;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.element-04.version-2.rounded-corners-true
  [id^="check-availability_"]
  input[type="submit"],
.element-04.version-2 .newbook_search_submit_bg {
  border-radius: 30px;
}

.element-04.version-2.rounded-corners-standard
  [id^="check-availability_"]
  input[type="submit"] {
  border-radius: 6px;
}

.element-04 [id^="check-availability_"] input,
.element-04 [id^="check-availability_"] select {
  font-size: 0.875em;
  line-height: 1.5;
  padding: 12px 15px;
  height: unset;
}

.element-04.version-2 [id^="check-availability_"] input,
.element-04.version-2 [id^="check-availability_"] select {
  border-radius: unset;
  color: var(--wpt-text-colour);
}

.element-04 [id^="check-availability_"] .daterangepicker-field::after,
.element-04 [id^="check-availability_"] .text-field::after,
.element-04 [id^="check-availability_"] .select-field::after {
  color: #ccc;
}

.element-04 [id^="check-availability_"] .wpt-row {
  display: flex;
  flex-wrap: wrap;
}

.element-04.version-2.content-align-middle
  [id^="check-availability_"]
  .wpt-row {
  gap: 15px;
}

.element-04.version-2 [id^="check-availability_"] .wpt-row > * {
  display: flex;
  flex-grow: 1;
}

@media (max-width: 450px) {
  .element-04 [id^="check-availability_"] .wpt-row .wpt-row {
    flex-direction: column !important;
    gap: 0 !important;
  }
}

.element-04 [id^="check-availability_"] [class*="dropdown-menu"] {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  display: none;
  float: left;
  min-width: 10rem;
  padding: 0.5rem 0;
  margin: 0.125rem 0 0;
  font-size: 1rem;
  color: #212529;
  text-align: left;
  list-style: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
}

.element-04.version-2.rounded-corners-true
  [id^="check-availability_"]
  [class*="dropdown-menu"] {
  border-radius: 0.25rem;
}

.element-04.version-2.rounded-corners-standard
  [id^="check-availability_"]
  [class*="dropdown-menu"] {
  border-radius: 6px;
}

.element-04 [id^="check-availability_"] .btn-group,
.btn-group-vertical {
  position: relative;
  display: -ms-inline-flexbox;
  display: inline-flex;
  vertical-align: middle;
}

.element-04
  [id^="check-availability_"]
  .btn-group-toggle
  > .btn
  input[type="checkbox"],
.element-04
  [id^="check-availability_"]
  .btn-group-toggle
  > .btn
  input[type="radio"],
.element-04
  [id^="check-availability_"]
  .btn-group-toggle
  > .btn-group
  > .btn
  input[type="checkbox"],
.element-04
  [id^="check-availability_"]
  .btn-group-toggle
  > .btn-group
  > .btn
  input[type="radio"] {
  position: absolute;
  clip: rect(0, 0, 0, 0);
  pointer-events: none;
  display: none;
}

.element-04 [id^="check-availability_"] [class*="dropdown-menu"].show {
  display: block;
}

.element-04 [id^="check-availability_"] .input-group {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: stretch;
  align-items: stretch;
  width: 100%;
  overflow: hidden;
}

.element-04 [id^="check-availability_"] .input-group-append,
.element-04 [id^="check-availability_"] .input-group-prepend {
  align-items: center;
  display: -ms-flexbox;
  display: flex;
}

.element-04 [id^="check-availability_"] .btn {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  transition:
    color 0.15s ease-in-out,
    background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out,
    box-shadow 0.15s ease-in-out;
}

.element-04 [id^="check-availability_"] input[type="submit"],
.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .btn,
.element-04 [id^="check-availability_"] [class*="dropdown-menu"] #guests_apply {
  border: 0 transparent;
  color: white;
  cursor: pointer;
}

.element-04.version-2 [id^="check-availability_"] input[type="submit"] {
  border: 2px solid white;
}

.element-04 [id^="check-availability_"] input[type="submit"]:hover,
.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .btn:hover,
.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  #guests_apply:hover {
  box-shadow: inset 0 0 0 100vw rgba(0, 0, 0, 0.1);
}

.element-04 [id^="check-availability_"] .btn.disabled,
.element-04 [id^="check-availability_"] .btn:disabled {
  opacity: 0.65;
  pointer-events: none;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .input-group-text {
  align-items: center;
  display: flex;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .input-group-text
  > span {
  display: block;
  flex-basis: 100%;
  line-height: 1em;
}

.element-04 [id^="check-availability_"] {
  font-family: var(--wpt-primary-font);
}

.element-04 [id^="check-availability_"] *:not(i) {
  font-family: var(--wpt-primary-font);
}

.element-04 [id^="check-availability_"] *::placeholder {
  color: var(--wpt-primary-font-colour);
}

.element-04 [id^="check-availability_"] .wpt-row {
  margin: 0 !important;
}

@media (max-width: 450px) {
  .element-04 [id^="check-availability_"] .wpt-row > div {
    padding: 0;
  }
}

.element-04.version-1 [id^="check-availability_"] .dropdown-toggle::after {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 0.255em;
  vertical-align: 0.255em;
  content: "";
  border-top: 0.3em solid;
  border-right: 0.3em solid transparent;
  border-bottom: 0;
  border-left: 0.3em solid transparent;
}

.element-04.version-2 [id^="check-availability_"] .dropdown-toggle {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.element-04.version-2 [id^="check-availability_"] .dropdown-toggle i {
  font-family: "Font Awesome 6 Pro";
  color: var(--wpt-primary-colour);
  font-weight: 600;
  padding-top: 2px;
}

.element-04.version-1 [id^="check-availability_"] i {
  display: none;
}

.element-04
  [id^="check-availability_"]
  [class*="dropdown-menu"]
  .input-group
  .btn
  i {
  display: block;
}

.element-04 [id^="check-availability_"] i {
  position: relative;
}

.element-04 [id^="check-availability_"] .container {
  padding: 0 20px;
}

@media (min-width: 768px) {
  .element-04 [id^="check-availability_"] .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .element-04 [id^="check-availability_"] .daterangepicker-field,
  .element-04 [id^="check-availability_"],
  .element-04 [id^="check-availability_"] .btn-group,
  .element-04 [id^="check-availability_"] [class*="dropdown_"] {
    margin: 0 !important;
  }
}

.element-04 [id^="check-availability_"] [class*="dropdown_"] {
  position: relative;
}

.element-04 [id^="check-availability_"] .list-unstyled {
  margin: 0;
  padding: 0;
  list-style: none;
}

.element-04 [id^="check-availability_"] .bootstrap-datetimepicker-widget {
  padding: 15px;
  position: absolute;
  top: 0;
}

.bootstrap-datetimepicker-widget table td,
.bootstrap-datetimepicker-widget table th {
  text-align: center;
  border-width: 0 !important;
}

.bootstrap-datetimepicker-widget table thead tr th {
  border-bottom: 1px solid #ccc !important;
  border-radius: unset !important;
}

.bootstrap-datetimepicker-widget table {
  border-collapse: collapse;
}

.bootstrap-datetimepicker-widget[class*="dropdown-menu"] {
  display: block;
  margin: 2px 0;
  padding: 4px;
  width: 19em;
}

.bootstrap-datetimepicker-widget table {
  width: 100%;
  margin: 0;
}

.bootstrap-datetimepicker-widget table td.today:before {
  content: "";
  display: inline-block;
  border: solid transparent;
  border-width: 0 0 7px 7px;
  border-bottom-color: #337ab7;
  border-top-color: rgba(0, 0, 0, 0.2);
  position: absolute;
  bottom: 4px;
  right: 4px;
}

.bootstrap-datetimepicker-widget table td.today {
  position: relative;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
  background-color: var(--wpt-primary-colour);
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}

.bootstrap-datetimepicker-widget table td.day:hover,
.bootstrap-datetimepicker-widget table td.hour:hover,
.bootstrap-datetimepicker-widget table td.minute:hover,
.bootstrap-datetimepicker-widget table td.second:hover {
  background: #eee;
  cursor: pointer;
}

.bootstrap-datetimepicker-widget table td span {
  display: inline-block;
  width: 54px;
  height: 54px;
  line-height: 54px;
  margin: 2px 1.5px;
  cursor: pointer;
  border-radius: 4px;
}

.bootstrap-datetimepicker-widget table td span.disabled,
.bootstrap-datetimepicker-widget table td span.disabled:hover {
  background: none;
  color: #777;
  cursor: not-allowed;
}

.bootstrap-datetimepicker-widget table td span.active {
  background-color: var(--wpt-primary-colour);
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}

.bootstrap-datetimepicker-widget table td span:hover {
  background: #eee;
}

.element-04.version-1 [id^="check-availability_"] .wpt-row > div {
  margin: 5px;
}

.element-04.version-1
  [id^="check-availability_"]
  .wpt-row
  > #check_availability_category_icons {
  display: flex;
}

.element-04.version-2 [id^="check-availability_"] .wpt-row > div {
  padding: 5px;
  flex-grow: 1;
}

.element-04.version-2
  .frontpage_slider
  [id^="check-availability_"]
  .wpt-row
  > div {
  width: 100%;
}

@media (min-width: 992px) {
  .element-04.version-2.content-align-left [id^="check_availability_"],
  .element-04.version-2.content-align-right [id^="check_availability_"] {
    width: 100%;
  }

  .element-04.version-2 [id^="check-availability_"] .wpt-row > div {
    margin: 0 -6px;
  }
}

@media (max-width: 600px) {
  .element-04.version-2 [id^="check-availability_"] .wpt-row > div.col-12 {
    padding: 0;
    margin: 5px;
    width: 100%;
  }
}

.element-04.version-2 [id^="check-availability_"] form {
  flex-grow: 1;
  z-index: 3;
}

.element-04.version-2 .wpt-button.wpt-hollow {
  color: white !important;
  border-color: white !important;
}

.element-04.version-2 [id^="check-availability_"] .btn-group,
.element-04.version-2 [id^="check-availability_"] [id*="guestsDropdown"],
.element-04.version-2 [id^="check-availability_"] input,
.element-04.version-2 [id^="check-availability_"] select {
  height: 100% !important;
  border: 0;
  padding-right: 0;
  padding-left: 0;
  cursor: pointer;
}

.element-04.version-2 [id^="check-availability_"] select {
  padding-right: 30px;
  line-height: 1.4;
}

.element-04.version-2
  [id^="check-availability_"]
  [id^="check_availability_location_"]
  select {
  border: 1px solid #fff;
  padding: 11px 39px 11px 19px !important;
}

.element-04.version-2 [id^="check-availability_"] .nb-error {
  border: 1px solid red !important;
}

.element-04.version-2 *:focus-visible {
  outline: none;
}

@media (max-width: 1200px) {
  .element-04.version-2:content-align-center
    [id^="check-availability_"]
    > .wpt-container {
    width: 100%;
  }
}

.element-04.version-2
  [id*="check-availability"]
  [class*="dropdown-toggle"]:before {
  content: "";
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0);
  z-index: 1;
  pointer-events: none;
  transition: 0.2s ease;
  cursor: pointer;
}

.element-04.version-2
  [id*="check-availability"]
  [class*="dropdown-toggle"].show:before {
  pointer-events: all;
}

.element-04.version-2.rounded-corners-true
  [id*="check-availability"]
  [class*="dropdown-menu"] {
  border-radius: 20px;
  border: unset;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

.element-04.version-2.rounded-corners-standard
  [id*="check-availability"]
  [class*="dropdown-menu"] {
  border-radius: 6px;
  border: unset;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

.element-04.rounded-corners-true.version-2 [id^="check-availability_"] select {
  -webkit-border-radius: 104px;
  -moz-border-radius: 104px;
  border-radius: 104px;
  padding-left: 20px;
  background: white;
}

.element-04.rounded-corners-standard.version-2
  [id^="check-availability_"]
  select {
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
  padding-left: 20px;
  background: white;
}

.element-04.rounded-corners-true.version-2 .dropdown {
  background: unset;
}

.element-04.rounded-corners-standard.version-2 .dropdown {
  background: unset;
}

.element-04.version-2
  [id^="check-availability_"]
  .text-field.promo-code-field
  input {
  line-height: 1.4;
  min-height: 48px;
}

@media (min-width: 690px) {
  .element-04.version-2 [id*="check-availability"] [class*="dropdown-menu"] {
    left: auto;
    right: 0;
  }
}

@media (min-width: 940px) {
  .element-04.version-2 [id*="check-availability"] [class*="dropdown-menu"] {
    left: 0;
    right: auto;
  }
}
